| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Digikam::FieldQueryBuilder Class Reference

## Public Member Functions
| FieldQueryBuilder (QString &sql, SearchXmlCachingReader &reader, QList< QVariant > *boundValues, ItemQueryPostHooks *const hooks, SearchXml::Relation relation)
void | addChoiceIntField (const QString &name)
void | addChoiceStringField (const QString &name)
void | addDateField (const QString &name)
void | addDoubleField (const QString &name)
void | addIntBitmaskField (const QString &name)
void | addIntField (const QString &name)
void | addLongField (const QString &name)
void | addLongListField (const QString &name)
void | addPosition ()
void | addRectanglePositionSearch (double lon1, double lat1, double lon2, double lat2) const
void | addStringField (const QString &name)
QString | prepareForLike (const QString &str) const

## Public Attributes
QList< QVariant > * | boundValues
ItemQueryPostHooks * | hooks = nullptr
SearchXmlCachingReader & | reader
SearchXml::Relation | relation = SearchXml::Equal
QString & | sql